summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xscripts/makepkg9
1 files changed, 6 insertions, 3 deletions
diff --git a/scripts/makepkg b/scripts/makepkg
index 718ddc87..21e95b84 100755
--- a/scripts/makepkg
+++ b/scripts/makepkg
@@ -155,7 +155,6 @@ handledeps() {
error "Failed to install missing dependencies."
exit 1
fi
- # TODO: check deps again to make sure they were resolved
elif [ "$DEP_SUDO" = "1" ]; then
# install missing deps from binary packages (using pacman -S and sudo)
msg "Installing missing dependencies..."
@@ -174,7 +173,6 @@ handledeps() {
error "Failed to install missing dependencies."
exit 1
fi
- # TODO: check deps again to make sure they were resolved
elif [ "$DEP_SRC" = "1" ]; then
# install missing deps by building them from source.
# we look for each package name in $ABSROOT and build it.
@@ -210,7 +208,6 @@ handledeps() {
exit 1
fi
done
- # TODO: check deps again to make sure they were resolved
else
missingdeps=1
fi
@@ -434,6 +431,12 @@ if [ `type -p pacman` -a "$NODEPS" = "0" ]; then
if [ $? -gt 0 ]; then
exit 1
fi
+ # check deps again to make sure they were resolved
+ deplist=`checkdeps ${depends[@]}`
+ if [ ! -z "$deplist" ]; then
+ error "Failed to install missing dependencies."
+ exit 1
+ fi
msg "Checking Buildtime Dependencies..."
makedeplist=`checkdeps ${makedepends[@]}`
handledeps $makedeplist